AUDIT_LOG_USER_AVC_MESSAGE(3)

NAME
audit_log_user_avc_message - log a user avc message

SYNOPSIS
#include <libaudit.h>

int audit_log_user_avc_message(intaudit_fd,int"type,constchar*"message,constchar*"hostname,constchar*"addr,constchar*"tty,uid_t"auid);"

DESCRIPTION
This function will log a message to the audit system using a predefined message format. This function should be used by all apps that are SE Linux object managers. The function parameters are as follows:
audit_fd - The fd returned by audit_open
type - type of message, ex: AUDIT_USER_AVC
message - the message being sent
hostname - the hostname if known
addr - The network address of the user
tty - The tty of the user, if NULL will attempt to figure out
auid - The auid of the person related to the avc message
These values should correspond to who the message is about.

RETURN VALUE
It returns the sequence number which is > 0 on success or <= 0 on error.

ERRORS
This function returns -1 on failure. Examine errno for more info.

SEE ALSO
audit_log_user_message(3), audit_log_acct_message(3), audit_log_user_comm_message(3), audit_log_semanage_message(3).

AUTHOR
Steve Grubb